Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Interface ISubobject

All Known Subinterfaces:
  IDynamics

All Known Implementing Classes:
  IAgent, IArcGeo, IBoid, IBool, IBoolR, IBoolR.And, IBoolR.Eq, IBoolR.Not, IBoolR.Or, IBrepGraphicGL, ICircleGeo, ICurveGeo, ICurveGraphicGL, ICurveR.IsClosed, IDouble, IDoubleR, IDoubleR.Abs, IDoubleR.ACos, IDoubleR.Add, IDoubleR.ASin, IDoubleR.ATan, IDoubleR.ATan2, IDoubleR.Cos, IDoubleR.Deg, IDoubleR.Div, IDoubleR.Eq, IDoubleR.Exp, IDoubleR.FromInt, IDoubleR.Inv, IDoubleR.Log, IDoubleR.Mul, IDoubleR.Neg, IDoubleR.Pow, IDoubleR.Rad, IDoubleR.Sin, IDoubleR.Sq, IDoubleR.Sqrt, IDoubleR.Sub, IDoubleR.Tan, IDynamicsBase, IGraphicObject, IInteger, IIntegerR, IIntegerR.Add, IIntegerR.Div, IIntegerR.Eq, IIntegerR.FromDouble, IIntegerR.Mod, IIntegerR.Mul, IIntegerR.Neg, IIntegerR.Sub, IMeshGeo, IMeshGraphicGL, INurbsGeo, IParameterObject, IParticle, IParticleAgent, IParticleDirectionLink, IParticleDistanceLink, IParticleOnCurve, IParticleOnCurveAgent, IPointAgent, IPointGraphic, IPolyline2D.Intersection, ISpacingEqualizer, ISpring, IStraightener, ISurfaceGeo, ISurfaceGraphicFillGL, ISurfaceGraphicGL, ISurfaceGraphicWireframeGL, ISurfaceR.IsFlat, ISurfaceR.IsUClosed, ISurfaceR.IsVClosed, ITension, ITensionOnCurve, ITrimCurve, IVec, IVec2, IVec2f, IVec2R, IVec2R.Add, IVec2R.Angle, IVec2R.Cross, IVec2R.Dist, IVec2R.Dist2, IVec2R.Div, IVec2R.Dot, IVec2R.Eq, IVec2R.EqX, IVec2R.EqY, IVec2R.FromX, IVec2R.FromXY, IVec2R.FromY, IVec2R.Len, IVec2R.Len2, IVec2R.Mul, IVec2R.Neg, IVec2R.Ortho, IVec2R.Ref, IVec2R.Rot, IVec2R.SetLen, IVec2R.Sub, IVec2R.ToVec2, IVec2R.ToVec3, IVec2R.ToVec4, IVec2R.TransformVec2, IVec2R.TransformVec3, IVec2R.Unit, IVec2R.X, IVec2R.Y, IVec4, IVec4R, IVec4R.Add, IVec4R.Cross, IVec4R.Dist, IVec4R.Dist2, IVec4R.Div, IVec4R.Eq, IVec4R.EqW, IVec4R.EqX, IVec4R.EqY, IVec4R.EqZ, IVec4R.FromVec, IVec4R.FromVecAndW, IVec4R.FromW, IVec4R.FromX, IVec4R.FromXYZ, IVec4R.FromXYZW, IVec4R.FromY, IVec4R.FromZ, IVec4R.Mul, IVec4R.Neg, IVec4R.Ref, IVec4R.Rot, IVec4R.Rot2, IVec4R.Scale1d, IVec4R.SetLen, IVec4R.Shear, IVec4R.Sub, IVec4R.ToVec, IVec4R.ToVec2, IVec4R.Transform3, IVec4R.Transform4, IVec4R.TransformVec3, IVec4R.TransformVec4, IVec4R.Unit, IVec4R.W, IVec4R.X, IVec4R.Y, IVec4R.Z, IVecR, IVecR.Add, IVecR.Angle, IVecR.Cross, IVecR.Dist, IVecR.Dist2, IVecR.Div, IVecR.Dot, IVecR.Eq, IVecR.EqX, IVecR.EqY, IVecR.EqZ, IVecR.FromX, IVecR.FromXYZ, IVecR.FromY, IVecR.FromZ, IVecR.Len, IVecR.Len2, IVecR.Mul, IVecR.Neg, IVecR.Ref, IVecR.Rot, IVecR.Rot2, IVecR.Scale1d, IVecR.SetLen, IVecR.Shear, IVecR.Sub, IVecR.ToVec2, IVecR.Transform3, IVecR.Transform4, IVecR.TransformVec3, IVecR.TransformVec4, IVecR.Unit, IVecR.X, IVecR.Y, IVecR.Z, IVectorGraphic

    public interface ISubobject

A base class of subobjects to be contained by IObject.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara
See Also:
  `IObject`

Method Summary
`IObject` | `parent()` getting parent object
`ISubobject` | `parent(IObject parent)` setting parent object

Method Detail

### parent

    IObject parent()

  getting parent object

### parent

    ISubobject parent(IObject parent)

  setting parent object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD